/* LORa SX1278 Receptor example.
 *  https://github.com/sandeepmistry/arduino-LoRa
 */
/* Tutorial link: http://electronoobs.com
 * Modificado por SETA43
 * seta43.duckdns.org
 * 
  Module SX1278 // Arduino UNO/NANO    
    GND         ->   GND
    Vcc         ->   3.3V
    MISO        ->   D12
    MOSI        ->   D11     
    SLCK        ->   D13
    Nss         ->   D10
    Di00        ->   D2
    RST         ->   D9      
 */

#include <SPI.h>
#include <LoRa.h>   

int BEEP = 3;
String inString = "";    // string to hold input


void setup() 
{
  Serial.begin(9600);
  pinMode(BEEP,OUTPUT);
  
  while (!Serial);
  Serial.println("LoRa Receptor Grados");
  if (!LoRa.begin(433E6))  // or 915E6
  { 
    Serial.println("Starting LoRa failed!");
    while (1);
  }
}

void loop() 
{
  
  // try to parse packet
  int packetSize = LoRa.parsePacket();
  if (packetSize) 
  { 
    // read packet    
    while (LoRa.available())
    {
      int inChar = LoRa.read();
      inString += (char)inChar;       
    }

    Serial.print(inString);
    if(1<inString.indexOf("SETA43")) 
      {
        Serial.print(" OK S-");
        tone(BEEP,1000);          
      }
     else
      {
        Serial.print(" S-");
        tone(BEEP,500);
      }
    inString = "";
    Serial.println(LoRa.packetRssi());    
    delay(150);
    noTone(BEEP);
  }
          
}
